Community Forums > Games > Age of Empires II: The Conquerors > Forgotten Empires > Released: update for userpatch and support for official FE install

Released: update for userpatch and support for official FE install

 +[UB]Elusive


Group: Server Administrator
Join Date: 18 June 2007
Posts:7072
Posted 25 February 2013 - 3:01 am
Key changes in this update:
  • Support for official FE installer from [You must login to view link] . At the moment, we have a separate installer at http://www.voobly.com/games/view/Age-of-Empires-II-The-Conquerors/Game-Mods . With the registry version issues in official FE installer fixed and improved support in Voobly for user-patch we no longer require a separate installer :D Once this client update is released we'll update the game mods page with link to official FE installers and remove the Voobly FE installer.
  • Updated user patch to latest version

Please report any issues!
Link | Reply | Quote
 [ViCiouS]CaNeK


Group: Standard Membership
Join Date: 27 November 2008
Posts:5620
Posted 25 February 2013 - 3:35 am
;good ;good
Link | Reply | Quote
 Ashby_Voobly


Group: Standard Membership
Join Date: 16 February 2013
Posts:82
Posted 25 February 2013 - 3:51 am
i dont see the update??
Link | Reply | Quote
 +[UB]Elusive


Group: Server Administrator
Join Date: 18 June 2007
Posts:7072
Posted 25 February 2013 - 3:53 am
The client update is auto-downloaded when you log in. For AoFE installer you just go to AoFE website.
Link | Reply | Quote
 Tintin_


Group: Standard Membership
Join Date: 3 June 2010
Posts:441
Posted 25 February 2013 - 4:16 am
Awesome, I just tested the mirror civs, and it works great!btw is the widescreen still restricted only to premium? ;?
Link | Reply | Quote
 +[UB]Elusive


Group: Server Administrator
Join Date: 18 June 2007
Posts:7072
Edited 25 February 2013 - 4:28 am by +[UB]Elusive
Tintin_ wrote:
Awesome, I just tested the mirror civs, and it works great!btw is the widescreen still restricted only to premium? ;?

AoFE on Voobly doesn't have any restrictions over widescreen. Regular AoC hasn't had changes to that.
Link | Reply | Quote
 Tintin_


Group: Standard Membership
Join Date: 3 June 2010
Posts:441
Posted 25 February 2013 - 6:01 am
Could you add the changes with the userpatch implementation?
Link | Reply | Quote
 LePoop


Group: Standard Membership
Join Date: 15 December 2012
Posts:237
Posted 25 February 2013 - 6:14 am
Hey, is it just the mirror civs and 250 pop from userpatch that has been added? I was hoping to see the faster response time on patrolling. ;cry
Link | Reply | Quote
 [nC]Sney


Group: Standard Membership
Join Date: 9 July 2007
Posts:17
Edited 25 February 2013 - 6:28 pm by [nC]Sney
No more issues for me...

I m looking fwd to aofe ratings :)

Edit: Still cant choose more than 250 pop, there seems to be a little difference left (Im not sure if you use the aofe installer yet.. )
Link | Reply | Quote
 BugA_the_Great


Group: Standard Membership
Join Date: 20 April 2008
Posts:417
Edited 25 February 2013 - 6:58 pm by BugA_the_Great
Test #1 -- Launched fine, no more problems on alt-tabbing and windows switching :)

Bugs so far:
  • Still says "CD 1.1" in game (it should say "CD 2.1", or whatever the current AoFE version is)
  • Population still only up to 250 (it should always be 1000 with AoFE, no matter the UserPatch choice). For testing, install UserPatch without 1000 pop support, then start AoFE - it should still have 1000 pop anyway, no matter the registry value (starting AoC 1.1 should have 250 pop in this case, because UP was installed without 1000 pop).
  • MQ (MBQ, multi building queue) system is not working (the MQ/SQ button is not shown on the multiplayer game setup screen, and that is correct, but the "MQ" should be enabled by default, now it seems to be disabled or still being read from the registry). For testing, run AoC 1.1, and on the game setup screen set "SQ/MQ" button to "SQ". Close AoC and run AoFE. Start the game. Place two barracks, select them both, and press "Train Militia" hotkey twice. Both barracks should have one Militia being trained. At the moment, both militias are assigned to one barracks (this is a default AoC behavior (or default AoC 1.1 "SQ"), but it is wrong in AoFE (which should be hardcoded to "MQ", no matter the registry value)).
Link | Reply | Quote
 Coat_of_Arms


Group: Standard Membership
Join Date: 29 November 2012
Posts:6806
Posted 25 February 2013 - 9:01 pm
So we have UserPatch/1.1 available on Voobly :O
Did I tell you how much I love my team founder ;flowers
Link | Reply | Quote
 [CJNC]Camelus_Shepus


Group: Standard Membership
Join Date: 26 May 2011
Posts:14
Edited 26 February 2013 - 2:08 am by [CJNC]Camelus_Shepus
This is not the same UserPatch version as used in AoFE. Receiving AI errors b/c this version of UP is different and AIs like Barbarian bug.... Do you need someone to provide you with the UserPatch version that was used for AoFE 2.1?? I can get this for you if needed. Both pop 1000 and MBQ need to come standard w/ AoFE though; both are actually working great for me now on voobly (as well as window mode)..but I probably already had them in my registry from UserPatch. Seems like progress is being made!

Cant you take the AoFE 2.1 .exe and then add anti-cheat or whatever instead of trying these work-arounds??

EDIT: Just spoke to Cysion, he says he sent you the UP he used for AoFE 2.1.... please use THAT version so AIs work properly and the pop 1000, MBQ bugs will not be present...

You are currently using a UP version from January 10th, 2013....

OH, one more thing...at some point, voobly should only support the latest version of AoFE...force players to go to current version...otherwise we will just further divide the community : )

Thanks for your work!!
Link | Reply | Quote
 Rumblefishstix


Group: Standard Membership
Join Date: 10 May 2012
Posts:1
Posted 27 February 2013 - 10:56 pm
At this point I would like to know how to remove voobly's version of 2.1 Thanks
Link | Reply | Quote
 [CJNC]Camelus_Shepus


Group: Standard Membership
Join Date: 26 May 2011
Posts:14
Posted 4 March 2013 - 7:30 pm
Any updates Elusive? Reason why AoFE's version of UserPatch is not being used?

Thanks
Link | Reply | Quote
 +[UB]Elusive


Group: Server Administrator
Join Date: 18 June 2007
Posts:7072
Edited 5 March 2013 - 8:51 am by +[UB]Elusive
I just downloaded the version of UP from the website and used that... I'll look into this.

Cyson do you know why the version you used is not on the UserPatch website?


Link | Reply | Quote
[1]2
Displaying 1 - 15 out of 19 posts
Forum Jump: